Using Specified Lib Version in Vcpkg

.\vcpkg install glm glfw3
.\vcpkg integrate install
Vcpkg checkout Tag
MyProject\
+- vcpkg
.\vcpkg integrate project
Package Manager Console
Install-Package vcpkg.C.vcpkg -Source "path\vcpkg\scripts\buildsystems"

Please note that you can only use one nupkg generated by Vcpkg at the same time. Only one Vcpkg nupkg is valid. Of course, your installed nupkg owns the higher priority, you don’t have to worry about other Vcpkg. In other words, other Vcpkg integrate install will not affect your project. This point is very important.

.\vcpkg export boost boost:x64-windows zlib --nuget
Install-Package vcpkg-export-20200417-005338 -Source "path of nupkg"

Note that installing packages in this way also cannot support multiple Vcpkg nupkg. It will also be affected by root Vcpkg integrate so that please remember to remove the integrated installation of root Vcpkg before compiling. Use root .\vcpkg integrate remove.

--

--

Get the Medium app

A button that says 'Download on the App Store', and if clicked it will lead you to the iOS App store
A button that says 'Get it on, Google Play', and if clicked it will lead you to the Google Play store